/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource['epages.io.xml']){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource['epages.io.xml'] = true;
/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.

	epages.io.xml $Revision: 1.13 $

*/
dojo.provide('epages.io.xml');

epages.io.Xml = function () {}

epages.io.Xml.prototype = {

	loadSync: function (/*String*/url, /*object?*/formData) {
		// summary:
		//		returns a xml document, which was loaded via http from given url.
		// 		additional parameters will be added in the post.
		// example:
		//	|	xmlLoader = new epages.io.Xml();
		//	|	xmlDoc = xmlLoader.loadSync('http://www.mydomain.de/test.xml', { filename: "test.xml" });
		//	|	// returns XMLDocument object
		var returnData;

		// no parameters => GET
		var requestMethod = formData !== undefined ? dojo.xhrPost : dojo.xhrGet;
		requestMethod({
			url: 					url,
			handleAs:			"xml",
			sync:					true,
			preventCache: epages.constants.preventCache,
			load: 				function(data){
											returnData = data;
										},
			content:			formData
		});
		return returnData; // XMLDocument
	},

	loadAsync: function (/*String*/url, /*Function*/callback, /*object?*/formData) {
		// summary:
		//		returns a xml document, which was loaded via http from given url.
		// 		additional parameters will be added in the post.
		// example:
		//	|	xmlLoader = new epages.io.Xml();
		//	|	xmlDoc = xmlLoader.loadSync('http://www.mydomain.de/test.xml', { filename: "test.xml" });
		//	|	// returns XMLDocument object
		var requestMethod = formData !== undefined ? dojo.xhrPost : dojo.xhrGet;
		requestMethod({
			url: 					url,
			handleAs:			"xml",
			preventCache: epages.constants.preventCache,
			load: 				callback,
			content:			formData
		});
		return;
	}
}

}
